package net.wanji.utc.mapper;

import net.wanji.utc.po.CrossInfoPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/15 14:57
 */
public interface CrossInfoMapper {
    CrossInfoPO selectByPrimaryKey(@Param("key") String key);

    void insertBatch(@Param("entities") List<CrossInfoPO> crossInfoPOList);

    List<String> selectCrossCodesByIds(@Param("entities") List<String> crossIdList);

    String selectIdByCode(@Param("crossCode")String crossCode);

    CrossInfoPO selectByCode(@Param("code") String code);

    List<CrossInfoPO> selectByManufacturerId(@Param("manufacturerId") Integer manufacturerId);

    List<CrossInfoPO> selectAll();
}
