package net.wanji.utc.mapper;

import net.wanji.utc.po.CrossPhasePO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/18 10:44
 */
public interface CrossPhaseMapper {
    void deleteOne(@Param("crossId") String crossId, @Param("phaseNo") String phaseNo);

    void insertOne(CrossPhasePO crossPhasePO);

    List<CrossPhasePO> selectByCrossIdAndPlanId(@Param("crossId") String crossId, @Param("planId") String planId);
}
