package net.wanji.utc.mapper;

import net.wanji.utc.po.ManufacturerInfoPO;
import org.apache.ibatis.annotations.Param;

import java.util.Arrays;
import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/15 16:48
 */
public interface ManufacturerInfoMapper {

    ManufacturerInfoPO selectByAbbr(@Param("abbr") String abbr);

    ManufacturerInfoPO selectById(@Param("manufacturerId") Integer manufacturerId);

    List<ManufacturerInfoPO> selectAll();
}
